Forum down / presume upgrade needed?

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
bones13
Registered User
Posts: 119
Joined: Mon Oct 10, 2005 7:52 pm

Forum down / presume upgrade needed?

Post by bones13 » Sat May 12, 2018 6:54 am

Hi,

My board is currently not functioning... http://www.thecambos.com/phpBB3/

I don't know where to begin to correct the issue, but am guessing it might need an upgrade to the latest version?

Can anyone shed some initial light on things please.

Thanks in advance.

User avatar
david63
Jr. Extension Validator
Posts: 14747
Joined: Thu Dec 19, 2002 8:08 am
Location: Lancashire, UK
Name: David Wood
Contact:

Re: Forum down / presume upgrade needed?

Post by david63 » Sat May 12, 2018 6:58 am

I would guess that your hosts have upgraded the server to PHP7.

You need to change the $dbms variable in your config.php file from mysql to mysqli and then delete the production folder from your cache folder
David
Remember: You only know what you know and - you don't know what you don't know!
My CDB Contributions | How to install an extension
I will not be accepting translations for any of my extensions in Github - please post any translations in the appropriate topic.
No support requests via PM or email as they will be ignored

User avatar
Mick
Support Team Member
Support Team Member
Posts: 20133
Joined: Fri Aug 29, 2008 9:49 am
Location: Cardiff

Re: Forum down / presume upgrade needed?

Post by Mick » Sat May 12, 2018 7:13 am

Support for 3.0.x ended over a year ago as per this announcement, the only assistance we can give you is with upgrading to the latest version.
bones13 wrote:
Sat May 12, 2018 6:54 am
am guessing it might need an upgrade to the latest version?
For information how to upgrade please see:

Notes:
  • Your server must be running at least PHP 5.4.7 or higher.
  • phpBB 3.2 is not compatible with 3.0 and most of the previous files will need to be removed prior to upgrading.
  • Styles and MODs from 3.0 cannot be installed on phpBB 3.2. To upgrade, perform the following steps:
  1. Make a back-up of the original files and database
  2. Deactivate all styles except for prosilver
  3. Remove all MOD-related changes from the database. The Support Toolkit's Database Cleaner can be used for this.
  4. Ensure that the activated spambot countermeasure is one of the standard phpBB plugins (Simple image, GD image, GD 3D image, Q&A, reCaptacha).
  5. Set British English as the only language pack and delete all other language pack directories from your server
  6. Delete all of your phpBB 3.0.x files EXCEPT for the following:
    • The config.php file
    • The /images/ directory
    • The /files/ directory
    • The /store/ directory
  7. Upload the contents of the phpBB3 directory from the uncompressed 3.2.x Full Package (EXCEPT for config.php) into your forum's directory (Note: you don't want to overwrite your original config.php file)
  8. Browse to www.example.com/install/
  9. Click the Update tab
  10. Click the Update button
  11. Select "Update database only" and click Submit
  12. Wait for the progress bar to reach 100% and for a message indicating that the update has completed
  13. Delete or rename the /install/ directory
"The more connected we get the more alone we become" - Kyle Broflovski

There are no ‘threads’ in phpBB, they are topics.

bones13
Registered User
Posts: 119
Joined: Mon Oct 10, 2005 7:52 pm

Re: Forum down / presume upgrade needed?

Post by bones13 » Sat May 26, 2018 8:34 am

Thanks for the above - upgrading was a headache for me last time (4-5 yrs ago) but there's was loads of help on here :D

First dumb question though...

Where do I upload the relevant unzipped new files to, as I have both a "forum" and "phpBB3" folder in 'my webs' folder?

Both folders seem to contain a lot of duplicate files & folders, but from which one do I remove stuff, re point 6 - Delete all of your phpBB 3.0.x files...

Thanks

janus_zonstraal
Registered User
Posts: 2669
Joined: Sat Aug 30, 2014 1:30 pm

Re: Forum down / presume upgrade needed?

Post by janus_zonstraal » Sat May 26, 2018 9:18 am

You have to start whit bringing back the old board.

Ask your host if the could downgrade the php version.

ps. the url of your board is http://www.thecambos.com/phpBB3/
So the directory is /phpBB3/
Sorry! My English is bat ;) !!!

User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 49557
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: Forum down / presume upgrade needed?

Post by stevemaury » Sat May 26, 2018 3:35 pm

bones13 wrote:
Sat May 26, 2018 8:34 am
Thanks for the above - upgrading was a headache for me last time (4-5 yrs ago) but there's was loads of help on here :D

First dumb question though...

Where do I upload the relevant unzipped new files to, as I have both a "forum" and "phpBB3" folder in 'my webs' folder?

Both folders seem to contain a lot of duplicate files & folders, but from which one do I remove stuff, re point 6 - Delete all of your phpBB 3.0.x files...

Thanks
According to your board's URL, your board root is /phpBB3. No idea what /forum might be.
For REALLY good and VERY inexpensive hosting CLICK HERE

I can stop all your spam. PM or email me.

All unsolicited PMs will be ignored.

bones13
Registered User
Posts: 119
Joined: Mon Oct 10, 2005 7:52 pm

Re: Forum down / presume upgrade needed?

Post by bones13 » Sun May 27, 2018 7:03 am

Thanks.

re upgrade instructions 6 & 7:

6 says don't delete the images, files, & store folders, yet 7 says copy across the new unzipped files - which includes new images, files & store folders.

That seems confusing as the two instructions appear to clash, so what should I do please?

janus_zonstraal
Registered User
Posts: 2669
Joined: Sat Aug 30, 2014 1:30 pm

Re: Forum down / presume upgrade needed?

Post by janus_zonstraal » Sun May 27, 2018 7:39 am

Just overwrite, there are only two files in that folders you will overwrite.
Nothing happens with your images.
Sorry! My English is bat ;) !!!

User avatar
Mick
Support Team Member
Support Team Member
Posts: 20133
Joined: Fri Aug 29, 2008 9:49 am
Location: Cardiff

Re: Forum down / presume upgrade needed?

Post by Mick » Sun May 27, 2018 7:41 am

The originals will be fine, presumably you’ve never done this before? Follow the instructions and you’ll be ok. In any case, you have back ups.
"The more connected we get the more alone we become" - Kyle Broflovski

There are no ‘threads’ in phpBB, they are topics.

bones13
Registered User
Posts: 119
Joined: Mon Oct 10, 2005 7:52 pm

Re: Forum down / presume upgrade needed?

Post by bones13 » Sun May 27, 2018 8:13 am

Thanks - done that.

Re 8 - when I try & browse to http://www.mysite.com/phpBB3/install/ or http://www.mysite.com/install/ all I get is a 404 not found error.

What might I have done wrong?

Thanks again.

User avatar
Mick
Support Team Member
Support Team Member
Posts: 20133
Joined: Fri Aug 29, 2008 9:49 am
Location: Cardiff

Re: Forum down / presume upgrade needed?

Post by Mick » Sun May 27, 2018 8:27 am

The error is saying the /install folder doesn’t exist, at least not where you say it is. In any case, if it were in the right place your board would go offline.

Check with your FTP client that http://www.mysite.com/phpBB3/install/ is in the phpBB3 folder.

I’m seeing:
SQL ERROR [ mysql4 ]

mysql_connect function does not exist, is mysql extension installed? []

An sql error occurred while fetching this page. Please contact an administrator if this problem persists.
Did you do this?
david63 wrote:
Sat May 12, 2018 6:58 am
You need to change the $dbms variable in your config.php file from mysql to mysqli and then delete the production folder from your cache folder
Have you tried disabling Cloudflare? If you do you may have to purge the phpBB and Cloudflare caches.
"The more connected we get the more alone we become" - Kyle Broflovski

There are no ‘threads’ in phpBB, they are topics.

bones13
Registered User
Posts: 119
Joined: Mon Oct 10, 2005 7:52 pm

Re: Forum down / presume upgrade needed?

Post by bones13 » Sun May 27, 2018 8:49 am

Yes it is.

Should I delete all bar the config.php file and try to upload the rest again?

User avatar
Mick
Support Team Member
Support Team Member
Posts: 20133
Joined: Fri Aug 29, 2008 9:49 am
Location: Cardiff

Re: Forum down / presume upgrade needed?

Post by Mick » Sun May 27, 2018 8:52 am

None of it will work if you don’t correct the SQL error.
"The more connected we get the more alone we become" - Kyle Broflovski

There are no ‘threads’ in phpBB, they are topics.

bones13
Registered User
Posts: 119
Joined: Mon Oct 10, 2005 7:52 pm

Re: Forum down / presume upgrade needed?

Post by bones13 » Tue Jul 31, 2018 8:13 am

Hi - am re-attempting all this, but when I get to instructions 9 & 10, I get the message "The installer detected a timeout".

I've tried it a few times, and on different browsers, but with the same result.

Can anyone advise please?

Thanks again.

janus_zonstraal
Registered User
Posts: 2669
Joined: Sat Aug 30, 2014 1:30 pm

Re: Forum down / presume upgrade needed?

Post by janus_zonstraal » Tue Jul 31, 2018 12:51 pm

Hi - am re-attempting all this, but when I get to instructions 9 & 10, I get the message "The installer detected a timeout".
Directly or after some time?
Is there a message under the error?
Sorry! My English is bat ;) !!!

Post Reply

Return to “[3.2.x] Support Forum”

Who is online

Users browsing this forum: Brf, GanstaZ, Toxyy and 37 guests